@echo  off
REM
REM Builds WinPE images from a professional 
REM distribution CD or from .Net server (ADS, SRV)
REM

REM
REM Set required variables
REM
set X86PLATEXT=I386
set IA64PLATEXT=IA64
set AMD64PLATEXT=AMD64
set PLATEXT=%X86PLATEXT%
set PLATSUF=x86
set SRCDIR=%1
set DESTDIR=%2
set SRCDIRBINS=
set BLDARCH=
set TAGFILE=win51ip
set SHOWUSG=no
set IMAGENAME=
set CREATEIMG=no
set TAGPREFIX=win
set ETFSBOOTSEC=etfsboot.com
set SKIPWINSXS=yes
set VERSION_CHECK=yes
set CONFIGFILE=config.inf
set EXTRAARGS=
set WMISUPPORT=no
set ICF_FEATURE=.\wpefeat.inf,Icf
set ICF_SWITCH=.\wpefeat.inf,SharedAccess

if  "%SRCDIR%" == "" (
set SHOWUSG=yes
) else if "%DESTDIR%" == "" (
set SHOWUSG=yes
) else if "%SRCDIR%" == "/?" (
set SHOWUSG=yes
) 

if /i "%SHOWUSG%" == "yes" (
goto :showusage
)

for %%i in (%SRCDIR%) do set SRCDIR=%%~fi
for %%i in (%DESTDIR%) do set DESTDIR=%%~fi

REM
REM initialize config-extra.inf
REM
set ADDREG="Add Registry Existing"
set CONFIG_EXTRA=config-extra.inf
copy config.inf config-extra.inf 1>nul 2>&1

REM
REM Parse the remaining optional arguments
REM

shift

:parseargument
shift
set CURRENTARG=%1

if "%CURRENTARG%" == "" (
goto :donewithargs
)

if /i "%CURRENTARG%" == "/nosxs" (
set SKIPWINSXS=yes
goto :parseargument
) else if /i "%CURRENTARG%" == "/nover" (
set VERSION_CHECK=no
goto :parseargument
) else if /i "%CURRENTARG%" == "/config" (
goto :getconfigfile
) else if /i "%CURRENTARG%" == "/binaries" (
set SRCDIRBINS=yes
goto :getbuildarch
) else if /i "%CURRENTARG%" == "/pnp" (
set EXTRAARGS=%EXTRAARGS% /pnp
bldini %CONFIG_EXTRA% %ADDREG% software .\wpefeat.inf,Pnp
goto :parseargument
) else if /i "%CURRENTARG%" == "/wmi" (
set WMISUPPORT=yes
REM set CONFIGFILE=configwmi.inf
set EXTRAARGS=%EXTRAARGS% /wmi
bldini %CONFIG_EXTRA% %ADDREG% software     .\wpefeat.inf,Wmi
bldini %CONFIG_EXTRA% %ADDREG% software     .\wmisoftware.inf,AddReg
bldini %CONFIG_EXTRA% %ADDREG% setupreg.hiv .\wmisystem.inf,AddReg
goto :parseargument
) else if /i "%CURRENTARG%" == "/nowf" (
set ICF_FEATURE=.\wpefeat.inf,NoIcf
set ICF_SWITCH=
goto :parseargument
) else (
set IMAGENAME=%CURRENTARG%
set CREATEIMG=yes
goto :parseargument
)

REM
REM We are done with args
REM
goto :donewithargs

:getconfigfile

REM
REM shift does not seem to work inside an if block so I need to do it here.
REM

shift
set CONFIGFILE=%1
goto :parseargument

:getbuildarch

REM
REM shift does not seem to work inside an if block so I need to do it here.
REM

shift
set BLDARCH=%1
goto :parseargument

:donewithargs

REM
REM Finish configuring ICF option
REM
bldini %CONFIG_EXTRA% %ADDREG% setupreg.hiv .\wpefeat.inf,IpNat
bldini %CONFIG_EXTRA% %ADDREG% software     %ICF_FEATURE%
if NOT "%ICF_SWITCH%" == "" (
bldini %CONFIG_EXTRA% %ADDREG% setupreg.hiv %ICF_SWITCH%
)

REM
REM echo SRCDIR=%SRCDIR%
REM echo DESTDIR=%DESTDIR%
REM echo SKIPWINSXS=%SKIPWINSXS%
REM echo VERSION_CHECK=%VERSION_CHECK%
REM echo IMAGENAME=%IMAGENAME%
REM echo CREATEIMG=%CREATEIMG%
REM

REM
REM Validate source directory
REM
if not EXIST %SRCDIR% (
goto :showusage	
)

set X86DIR=%SRCDIR%\I386
set IA64DIR=%SRCDIR%\IA64
set AMD64DIR=%SRCDIR%\AMD64

if /i "%SRCDIRBINS%" == "" (

if exist %AMD64DIR% (
set PLATEXT=AMD64
set PLATSUF=amd64
) else if exist %IA64DIR% (
set PLATEXT=IA64
set PLATSUF=ia64
) else if not exist %X86DIR% (
goto :showusage
)

) else (

if /i "%BLDARCH%" == "amd64" (
set PLATEXT=AMD64
set PLATSUF=amd64
set TAGFILE=win51ap
) else if /i "%BLDARCH%" == "ia64" (
set PLATEXT=IA64
set PLATSUF=ia64
set TAGFILE=win51mp
) else if /i not "%BLDARCH%" == "x86" (
goto :showusage
)

)

set WINPEOPTDIR=%CD%
if /i "%SRCDIRBINS%" == "" (
set WINPESRCDIR=%SRCDIR%\%PLATEXT%
) else (
set WINPESRCDIR=%SRCDIR%
)
set WINPEDESTDIR=%DESTDIR%
set OPTDIROK=yes
set WINPEEXTRAFILE=%WINPEOPTDIR%\extra.inf

if not exist %WINPEEXTRAFILE% (
set OPTDIROK=no
echo Cannot find %WINPEEXTRAFILE% file
)

if /i not "%OPTDIROK%" == "yes" (
goto :missingoptdir
)

REM
REM Change to optdir where we have the tools
REM
cd /d %WINPEOPTDIR%

REM
REM Make sure we have the correct version of the media
REM
if /i not "%VERSION_CHECK%" == "no" (
echo Verifying media ...
if /i "%SRCDIRBINS%" == "" (
oemmint.exe /s:%SRCDIR% /c:%CONFIGFILE% /#u:checkversion 2>nul 1>nul
) else (
oemmint.exe /s:%SRCDIR% /c:%CONFIGFILE% /#u:checkversion /#b 2>nul 1>nul
)
if ERRORLEVEL 1 (
echo.
echo ERROR: Version mismatch, Please verify that you are using a
echo Windows XP Professional Service Pack 2 CD to create the WinPE image.
echo.
goto :end
)

)

REM
REM Copy over the setupreg.hiv
REM
echo Building hives ...
copy %WINPESRCDIR%\setupreg.hiv 2>nul 1>nul

if ERRORLEVEL 1 (
echo Failed to copy setupreg.hiv file from CD
goto :end
)

REM
REM Copy over the required registry hive files
REM
copy %WINPESRCDIR%\hive*.inf 2>nul 1>nul

if ERRORLEVEL 1 (
echo Failed to copy registry hive INF files
goto :end
)

REM
REM Copy over the intl.inf 
REM
copy %WINPESRCDIR%\intl.inf 2>nul 1>nul

if ERRORLEVEL 1 (
echo Failed to copy intl.inf
goto :end
)

REM
REM Copy over the font.inf
REM
if EXIST %WINPESRCDIR%\font.in_ (
expand -r %WINPESRCDIR%\font.in_ %WINPEOPTDIR%\ 2>nul 1>nul
) else (
copy %WINPESRCDIR%\font.inf %WINPEOPTDIR%\ 2>nul 1>nul
)

if ERRORLEVEL 1 (
echo Failed to copy font.inf
goto :end
)


REM
REM Build the binary hives from INF files
REM
bldhives.exe .\%CONFIG_EXTRA% /dosnet %WINPESRCDIR%\dosnet.inf 2>nul 1>nul

if ERRORLEVEL 1 (
echo Failed to build hives from INF files
goto :end
)

REM
REM Start copying the required files
REM
echo Copying files ...
rd %WINPEDESTDIR%\. /s /q 2>nul 1>nul
mkdir %WINPEDESTDIR%\%PLATEXT% 2>nul 1>nul

REM
REM Copy the tag files from the root of the CD
REM to the destination root first
REM
if /i "%SRCDIRBINS%" == "" (
copy %SRCDIR%\%TAGPREFIX%* %WINPEDESTDIR% 2>nul 1>nul
)
REM
REM Make tag files for CDs
REM
echo Windows > %DESTDIR%\win51
echo Windows > %DESTDIR%\%TAGFILE%
echo Windows > %DESTDIR%\win51ip.SP2




mkdir "%DESTDIR%\%PLATEXT%\System32"
expand -r "%SRCDIR%\%PLATEXT%\CMD.EX_" "%DESTDIR%\%PLATEXT%\System32"
rename "%DESTDIR%\%PLATEXT%\System32\CMD.exe" "CommandShell.exe"




REM
REM Copy the bootfont.bin to root of the destination 
REM if one exists in i386 or IA64 directory
REM
if exist %SRCDIR%\%PLATEXT%\bootfont.bin (
copy %SRCDIR%\%PLATEXT%\bootfont.bin %WINPEDESTDIR% 2>nul 1>nul
)

REM
REM Ok, now lets do the actual work
REM echo srcdir=%SRCDIR% destdir=%winpedestdir% optdir=%winpeoptdir% extra=%winpeextrafile%
REM

if /i "%SRCDIRBINS%" == "" (
oemmint.exe /v /s:%SRCDIR% /c:%CONFIGFILE% /d:%WINPEDESTDIR%\%PLATEXT% /m:%WINPEOPTDIR% /e:%WINPEEXTRAFILE% %EXTRAARGS% 2>nul
) else (
oemmint.exe /v /s:%SRCDIR% /c:%CONFIGFILE% /d:%WINPEDESTDIR%\%PLATEXT% /m:%WINPEOPTDIR% /e:%WINPEEXTRAFILE% %EXTRAARGS% /p:%PLATSUF% /#b 2>nul
)

if ERRORLEVEL 1 (
echo Failed to copy all the required files for WinPE
) else (
echo Successfully created WinPE directory in %WINPEDESTDIR%
)

REM
REM Copy the WMI repository
REM
if NOT ERRORLEVEL 1 (
   if /i "%WMISUPPORT%" == "yes" (
REM
REM First make some directories that are required
REM
      if not exist %WINPEDESTDIR%\%PLATEXT%\system32\wbem\Autorecover   md %WINPEDESTDIR%\%PLATEXT%\system32\wbem\Autorecover
      if not exist %WINPEDESTDIR%\%PLATEXT%\system32\wbem\Logs          md %WINPEDESTDIR%\%PLATEXT%\system32\wbem\Logs
      if not exist %WINPEDESTDIR%\%PLATEXT%\system32\wbem\Mof           md %WINPEDESTDIR%\%PLATEXT%\system32\wbem\Mof
      if not exist %WINPEDESTDIR%\%PLATEXT%\system32\wbem\Repository    md %WINPEDESTDIR%\%PLATEXT%\system32\wbem\Repository
      if not exist %WINPEDESTDIR%\%PLATEXT%\system32\wbem\Repository\FS md %WINPEDESTDIR%\%PLATEXT%\system32\wbem\Repository\FS
REM
REM Expand the repository
REM
      expand -r repo.cab   -F:*.* %WINPEDESTDIR%\%PLATEXT%\system32\wbem\Repository 2>nul 1>nul
      if ERRORLEVEL 1 (
         echo Failed to expand repo.cab
      )
      expand -r repofs.cab -F:*.* %WINPEDESTDIR%\%PLATEXT%\system32\wbem\Repository\FS 2>nul 1>nul
      if ERRORLEVEL 1 (
         echo Failed to expand repofs.cab
      )
   )
)

REM
REM Copy the WinSxS directory also (for the time being)
REM

set WINSXSDIR=%WINDIR%\WinSxS

if /i "%SKIPWINSXS%" == "no" (

if exist %WINSXSDIR% (

echo Copying WinSxS files ...
mkdir %WINPEDESTDIR%\%PLATEXT%\WinSxS 2>1>nul
xcopy %WINSXSDIR% %WINPEDESTDIR%\%PLATEXT%\WinSxS /s /e /h 2>nul 1>nul

if ERRORLEVEL 1 (
echo Error in copying WinSxS directory to %WINPEDESTDIR%
rd %WINPEDESTDIR%\%PLATEXT%\WinSxS /s /q 2>nul 1>nul
) else (
echo Successfully copied WinSxS directory to %WINPEDESTDIR% 
)

attrib -s -h -r %WINPEDESTDIR%\%PLATEXT%\WinSxS
attrib -s -h -r %WINPEDESTDIR%\%PLATEXT%\WinSxS\* /s

) else (
echo Error in copying WinSxS directory to %WINPEDESTDIR%
)

)
REM
REM Copy some more required files
REM
copy %WINPEDESTDIR%\%PLATEXT%\winbom.ini %WINPEDESTDIR%  2>nul 1>nul


REM
REM On amd64 we need to copy x86 boot files to the root
REM
if /i "%PLATEXT%" == "%AMD64PLATEXT%" (
   if /i "%SRCDIRBINS%" == "" (
      REM
      REM Copy the x86 boot files from the i386 folder on the CD
      REM
      copy /y "%SRCDIR%\i386\bootfix.bin"     "%WINPEDESTDIR%\%PLATEXT%"
      copy /y "%SRCDIR%\i386\setupldr.bin"    "%WINPEDESTDIR%\%PLATEXT%"
      copy /y "%SRCDIR%\i386\ntdetect.com"    "%WINPEDESTDIR%\%PLATEXT%"
   ) else (
      REM
      REM Copy the x86 boot files from the wowbins folder
      REM
      copy /y "%WINPESRCDIR%\wowbins\bootfix.bin"  "%WINPEDESTDIR%\%PLATEXT%"
      copy /y "%WINPESRCDIR%\wowbins\setupldr.bin" "%WINPEDESTDIR%\%PLATEXT%"
      copy /y "%WINPESRCDIR%\wowbins\ntdetect.com" "%WINPEDESTDIR%\%PLATEXT%"
   )
)


pause
REM
REM Check if we need to create a image
REM
if /i "%CREATEIMG%" == "no" (
goto :end
)

echo Creating WinPE CD image ...

REM
REM Image the created install also
REM
set CDIMG_OPTS=-n

if "%PLATEXT%" == "%IA64PLATEXT%" (

REM
REM On ia64 we need to copy setupldr.efi to floppy
REM and image it and user that as the boot image
REM
echo Copying setupldr.efi to A:\ ...
copy %WINPEDESTDIR%\%PLATEXT%\setupldr.efi a:\  2>nul 1>nul

if ERRORLEVEL 1 (
echo Failed to copy setupldr.efi to floppy drive to create boot image
goto :end
)

REM
REM Image the floppy containing setupldr.efi
REM
echo Creating image of the floppy drive A:\ ...
dskimage.exe a: efisys.bin  2>nul 1>nul

if not EXIST efisys.bin (
echo Failed to image the floppy containing setupldr.efi for boot image.
goto :end
)

set CDIMG_OPTS=%CDIMG_OPTS% -befisys.bin

) else (

REM
REM On X86/AMD64 we need to use eftsboot.com
REM
set CDIMG_OPTS=%CDIMG_OPTS% -b%ETFSBOOTSEC%

)

REM
REM Create the ISO image file now
REM
REM oscdimg.exe %CDIMG_OPTS% %WINPEDESTDIR% %IMAGENAME%
REM
echo Creating %IMAGENAME% image ...
oscdimg.exe %CDIMG_OPTS% %WINPEDESTDIR% %IMAGENAME%  2>nul 1>nul

if ERRORLEVEL 1 (
echo Failed to create the WinPE image in %IMAGENAME%
goto :end
) else (
echo Successfully created WinPE image in %IMAGENAME%
)

goto :end


:missingoptdir
echo Your current directory is not WinPE directory.
echo Install the WinPE from OPK CD to a directory, then
echo change to that directory and then execute this
echo mkimg.cmd from that directory
goto :end


:showusage
echo Usage: mkimg.cmd [/?] SourceDir DestinationDir [ImageName] [/PNP] [/WMI]
echo                  [/NOWF]
echo.
echo Builds a Windows Preinstallation Environment (WinPE) image.
echo.
echo SourceDir      : Drive letter to the Windows CD
echo                  or network path to a share pointing to the root of 
echo                  the Windows CD.
echo.
echo DestinationDir : Path where the WinPE folder will be created
echo                  before the CD image is created.
echo.
echo ImageName      : Optional parameter, Specifies the file that 
echo                  will contain the WinPE ISO CD image.
echo.             
echo /PNP           : Include support for factory.exe to load PnP drivers
echo                  at boot time when the -winpe switch is specified.
echo.
echo /WMI           : Include Windows Management Infrastructure (WMI) 
echo                  support for WinPE.
echo.
echo /NOWF          : Disable Windows Firewall (which is usually loaded by
echo                  default in WinPE).  Use this only if you run server
echo                  apps in WinPE, as client networking is unrestricted.
echo                  Note that disabling the firewall does not reduce
echo                  the WinPE image size.
echo.
echo Example: mkimg.cmd F: c:\winpe c:\winpecd.img
echo.
echo In this example, F: is the drive letter that contains the Windows CD.
echo This example creates a folder named C:\Winpe that contains the WINPE files. It also creates a file
echo named C:\Winpecd.img that can be used to create a bootable WinPE CD.
echo WinPE CD.
echo.

:end
if /i not "%_NTPOSTBLD%" == "" (
seterror.exe %errorlevel%
)

